org.eclipse.emf.cdo.ui

## Class CDOInteractiveExceptionHandler

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOInteractiveExceptionHandler

- All Implemented Interfaces:
    CDOSession.ExceptionHandler, IElementProcessor

      public class CDOInteractiveExceptionHandler
      extends java.lang.Object
      implements CDOSession.ExceptionHandler, IElementProcessor

  A `CDOSession` `ExceptionHandler` implementation that shows exception information on a UI `dialog`
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    `CDOSession.ExceptionHandler`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOInteractiveExceptionHandler.ExceptionDialog` A dialog that shows CDO related exceptions in a convenient manner.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOInteractiveExceptionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Dialog` | `createDialog(CDOSession session, int attempt, java.lang.Exception exception)`
    `protected Shell` | `getParentShell()`
    `void` | `handleException(CDOSession session, int attempt, java.lang.Exception exception)`
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`
    `protected java.lang.Object` | `processSession(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, InternalCDOSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOInteractiveExceptionHandler

          public CDOInteractiveExceptionHandler()

  - ### Method Detail

    - #### handleException

          public void handleException(CDOSession session,
                                      int attempt,
                                      java.lang.Exception exception)
                               throws java.lang.Exception

      Specified by:
        `handleException` in interface `CDOSession.ExceptionHandler`
      Throws:
        `java.lang.Exception`
      Since:
        4.0

    - #### process

          public java.lang.Object process(IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `IElementProcessor`

    - #### processSession

          protected java.lang.Object processSession(IManagedContainer container,
                                                    java.lang.String productGroup,
                                                    java.lang.String factoryType,
                                                    java.lang.String description,
                                                    InternalCDOSession session)

    - #### getParentShell

          protected Shell getParentShell()

    - #### createDialog

          protected Dialog createDialog(CDOSession session,
                                        int attempt,
                                        java.lang.Exception exception)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html